Bug 1410574 - [abrt] gnome-abrt: dbus_problems.py:259:on_dbus_exception:gnome_abrt.errors.InvalidProblem: org.freedesktop.problems.InvalidProblemDir: '/var/spool/abrt/ccpp-2017-01-01-23:52:48-26395' is not a valid problem directory
Summary: [abrt] gnome-abrt: dbus_problems.py:259:on_dbus_exception:gnome_abrt.errors.I...
Keywords:
Status: CLOSED EOL
Alias: None
Product: Fedora
Classification: Fedora
Component: gnome-abrt
Version: 24
Hardware: x86_64
OS: Unspecified
unspecified
unspecified
Target Milestone: ---
Assignee: Jakub Filak
QA Contact: Fedora Extras Quality Assurance
URL: https://retrace.fedoraproject.org/faf...
Whiteboard: abrt_hash:a62395b6c664bf15f5651b65d69...
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2017-01-05 18:55 UTC by Sylvain Petreolle
Modified: 2017-08-08 19:31 UTC (History)
4 users (show)

Fixed In Version:
Doc Type: If docs needed, set a value
Doc Text:
Clone Of:
Environment:
Last Closed: 2017-08-08 19:31:37 UTC
Type: ---


Attachments (Terms of Use)
File: backtrace (2.35 KB, text/plain)
2017-01-05 18:55 UTC, Sylvain Petreolle
no flags Details
File: environ (1.95 KB, text/plain)
2017-01-05 18:55 UTC, Sylvain Petreolle
no flags Details

Description Sylvain Petreolle 2017-01-05 18:55:22 UTC
Description of problem:
I wanted to search a very recent issue about gnome-software, "logiciels" in french.
I entered 'log' into the gnome-abrt search box and got the crash notification.

Version-Release number of selected component:
gnome-abrt-1.2.4-3.fc24

Additional info:
reporter:       libreport-2.7.2
cmdline:        /usr/bin/python3 /usr/bin/gnome-abrt -p /var/spool/abrt/ccpp-2017-01-01-23:52:48-26395
executable:     /usr/bin/gnome-abrt
kernel:         4.8.15-200.fc24.x86_64
pkg_fingerprint: 73BD E983 81B4 6521
pkg_vendor:     Fedora Project
runlevel:       N 5
type:           Python3
uid:            500

Truncated backtrace:
dbus_problems.py:259:on_dbus_exception:gnome_abrt.errors.InvalidProblem: org.freedesktop.problems.InvalidProblemDir: '/var/spool/abrt/ccpp-2017-01-01-23:52:48-26395' is not a valid problem directory

Traceback (most recent call last):
  File "/usr/lib64/python3.5/site-packages/gnome_abrt/dbus_problems.py", line 164, in get_items
    problem_id, args)
  File "/usr/lib64/python3.5/site-packages/gnome_abrt/dbus_problems.py", line 123, in _send_dbus_message
    return method(self._interface, *args)
  File "/usr/lib64/python3.5/site-packages/gnome_abrt/dbus_problems.py", line 163, in <lambda>
    lambda iface, *params: iface.GetInfo(*params),
  File "/usr/lib64/python3.5/site-packages/dbus/proxies.py", line 145, in __call__
    **keywords)
  File "/usr/lib64/python3.5/site-packages/dbus/connection.py", line 651, in call_blocking
    message, timeout)
dbus.exceptions.DBusException: org.freedesktop.problems.InvalidProblemDir: '/var/spool/abrt/ccpp-2017-01-01-23:52:48-26395' is not a valid problem directory

During handling of the above exception, another exception occurred:

Traceback (most recent call last):
  File "/usr/lib64/python3.5/site-packages/gnome_abrt/views.py", line 68, in <lambda>
    self._list_box.set_filter_func(lambda row, _: self.match(row), None)
  File "/usr/lib64/python3.5/site-packages/gnome_abrt/views.py", line 100, in match
    if problem[i] is None:
  File "/usr/lib64/python3.5/site-packages/gnome_abrt/problems.py", line 196, in __getitem__
    loaded = self.__loaditems__(item)
  File "/usr/lib64/python3.5/site-packages/gnome_abrt/problems.py", line 148, in __loaditems__
    items = self.source.get_items(self.problem_id, *args)
  File "/usr/lib64/python3.5/site-packages/gnome_abrt/dbus_problems.py", line 166, in get_items
    self._driver.on_dbus_exception(problem_id, ex)
  File "/usr/lib64/python3.5/site-packages/gnome_abrt/dbus_problems.py", line 259, in on_dbus_exception
    raise errors.InvalidProblem(problem_id, ex)
gnome_abrt.errors.InvalidProblem: org.freedesktop.problems.InvalidProblemDir: '/var/spool/abrt/ccpp-2017-01-01-23:52:48-26395' is not a valid problem directory

Local variables in innermost frame:
ex: DBusException("'/var/spool/abrt/ccpp-2017-01-01-23:52:48-26395' is not a valid problem directory",)
problem_id: '/var/spool/abrt/ccpp-2017-01-01-23:52:48-26395'
self: <gnome_abrt.dbus_problems.StandardProblems object at 0x7fcdd6233a20>

Comment 1 Sylvain Petreolle 2017-01-05 18:55:31 UTC
Created attachment 1237775 [details]
File: backtrace

Comment 2 Sylvain Petreolle 2017-01-05 18:55:32 UTC
Created attachment 1237776 [details]
File: environ

Comment 3 Fedora End Of Life 2017-07-26 00:09:47 UTC
This message is a reminder that Fedora 24 is nearing its end of life.
Approximately 2 (two) weeks from now Fedora will stop maintaining
and issuing updates for Fedora 24. It is Fedora's policy to close all
bug reports from releases that are no longer maintained. At that time
this bug will be closed as EOL if it remains open with a Fedora  'version'
of '24'.

Package Maintainer: If you wish for this bug to remain open because you
plan to fix it in a currently maintained version, simply change the 'version'
to a later Fedora version.

Thank you for reporting this issue and we are sorry that we were not
able to fix it before Fedora 24 is end of life. If you would still like
to see this bug fixed and are able to reproduce it against a later version
of Fedora, you are encouraged  change the 'version' to a later Fedora
version prior this bug is closed as described in the policy above.

Although we aim to fix as many bugs as possible during every release's
lifetime, sometimes those efforts are overtaken by events. Often a
more recent Fedora release includes newer upstream software that fixes
bugs or makes them obsolete.

Comment 4 Fedora End Of Life 2017-08-08 19:31:37 UTC
Fedora 24 changed to end-of-life (EOL) status on 2017-08-08. Fedora 24 is
no longer maintained, which means that it will not receive any further
security or bug fix updates. As a result we are closing this bug.

If you can reproduce this bug against a currently maintained version of
Fedora please feel free to reopen this bug against that version. If you
are unable to reopen this bug, please file a new report against the
current release. If you experience problems, please add a comment to this
bug.

Thank you for reporting this bug and we are sorry it could not be fixed.


Note You need to log in before you can comment on or make changes to this bug.